### Method

# GUPnP ServiceProxy remove_notify

#### Declaration [src]

    gboolean
    gupnp_service_proxy_remove_notify (
      GUPnPServiceProxy* proxy,
      const char* variable,
      GUPnPServiceProxyNotifyCallback callback,
      gpointer user_data
    )

#### Description [src]

Cancels the variable change notification for `callback` and `user_data`.

Up to version 0.20.9 this function must not be called directlya or indirectly from a `GUPnPServiceProxyNotifyCallback` associated with this service proxy, even if it is for another variable. In later versions such calls are allowed.

#### Parameters

`variable`

  Type: `const char*`

  The variable to add notification for.

  The data is owned by the caller of the function.
  The value is a NUL terminated UTF-8 string.

`callback`

  Type: `GUPnPServiceProxyNotifyCallback`

  The callback to call when `variable` changes.

`user_data`

  Type: `gpointer`

  User data for `callback`.

  The argument can be `NULL`.
  The data is owned by the caller of the function.

#### Return value

Type: `gboolean`

`TRUE` on success.